Vous n'êtes pas identifié(e).

Annonce

ATTENTION

  • Prenez le temps de rechercher si quelqu'un n'a pas déjà proposé une solution à votre problème. Sur le forum français et sur le wiki
  • Pensez à mettre à jour votre version de CMS Made Simple. Nous ne faisons de support que sur LA dernière version de CMS Made Simple.
  • Renseignez impérativement le formulaire de nouveau message de manière la plus complète que possible. Dans votre CMS utiliser le menu Administration du site/Informations du système en haut Vue au format texte. Ces informations demandées nous permettent de mieux vous aider
  • Ajoutez [Résolu] au début du titre de votre 1er message lorsqu'une solution a été trouvée.

#1 06/09/2017 16:33:33

SwBd
Petit nouveau
Inscription : 06/09/2017
Messages : 6

[Résolu] CMSMS 2.2.3.1 - E-commerce - Module PaypalGateway 2.5.3

#~~~~~ DEBUT BLOC A NE PAS SUPPRIMER ~~~~~
#~ Version du CMS: 2.2.3.1
#~ Url du site :
#~ Hébergeur / Soft : OVH
#~ Informations Système :
#~      ----------------------------------------------
#~      Cms Version: 2.2.3.1
#~      Installed Modules:
#~      AdminSearch: 1.0.4
#~      BoxPacker: 1.2.4
#~      CGEcommerceBase: 1.8.4
#~      CGExtensions: 1.56.2
#~      CGMyOrders: 1.2.4
#~      CGPaymentGatewayBase: 1.6.1
#~      CGSimpleSmarty: 2.1.6
#~      CMSContentManager: 1.1.6
#~      CMSMailer: 6.2.14
#~      Cart2: 1.4.1
#~      CmsJobManager: 0.1.1
#~      DesignManager: 1.1.3
#~      FRTaxes: 1.3
#~      FileManager: 1.6.4
#~      FilePicker: 1.0.1
#~      FrontEndUsers: 2.5.2
#~      GiftBaskets: 1.5.2
#~      JQueryTools: 1.4.0.3
#~      MenuManager: 1.50.3
#~      MicroTiny: 2.2.1
#~      ModuleManager: 2.1.2
#~      Navigator: 1.0.8
#~      News: 2.51.3
#~      Orders: 1.23
#~      PaypalGateway: 2.5.3
#~      Products: 2.27.5
#~      Search: 1.51.2
#~      Config Information:
#~      php_memory_limit:
#~      max_upload_size: 128000000
#~      url_rewriting: none
#~      page_extension:
#~      query_var: page
#~      auto_alias_content: true
#~      locale:
#~      set_names: true
#~      timezone: Europe/Paris
#~      permissive_smarty: false
#~      Php Information:
#~      phpversion: 7.0.21
#~      md5_function: On  (Vrai)
#~      json_function: On  (Vrai)
#~      gd_version: 2
#~      tempnam_function: On  (Vrai)
#~      magic_quotes_runtime: Off  (Faux)
#~      E_ALL: 32759
#~      E_STRICT: 2048
#~      E_DEPRECATED: 8192
#~      test_file_timedifference: Aucune différence de date du système trouvée
#~      test_db_timedifference: Aucune différence de date du système trouvée
#~      create_dir_and_file: 1
#~      memory_limit: 512M
#~      max_execution_time: 300
#~      register_globals: Off  (Faux)
#~      output_buffering: 4096
#~      disable_functions: _dyuweyrj4, _dyuweyrj4r, dl
#~      open_basedir:
#~      test_remote_url: Valable
#~      file_uploads: On  (Vrai)
#~      post_max_size: 64M
#~      upload_max_filesize: 128M
#~      session_save_path: /tmp (0700)
#~      session_use_cookies: On  (Vrai)
#~      xml_function: On  (Vrai)
#~      xmlreader_class: On  (Vrai)
#~      check_ini_set: On  (Vrai)
#~      curl: On
#~      Performance Information:
#~      allow_browser_cache: On  (Vrai)
#~      browser_cache_expiry: 60
#~      php_opcache: On  (Vrai)
#~      smarty_cache: Off  (Faux)
#~      smarty_compilecheck: Off  (Faux)
#~      auto_clear_cache_age: On  (Vrai)
#~      Server Information:
#~      Server Software: Apache
#~      Server Api: fpm-fcgi
#~      Server Os: Linux 4.4.67-ovh-vps-grsec-zfs-classid On  x86_64
#~      Server Db Type: MySQL (mysqli)
#~      Server Db Version: 5.6.34
#~      Server Db Grants: Trouvé un privilège "GRANT ALL" qui semble être adapté
#~      Permission Information:
#~      tmp: /home/hyunkellzb/www/tmp (0705)
#~      tmp_cache: /home/hyunkellzb/www/tmp/cache (0705)
#~      templates_c: /home/hyunkellzb/www/tmp/templates_c (0705)
#~      modules: /home/hyunkellzb/www/modules (0705)
#~      uploads: /home/hyunkellzb/www/uploads (0705)
#~      Masque de création de fichier (umask) : /home/hyunkellzb/www/tmp/cache (0705)
#~      config_file: 0444
#~      ----------------------------------------------
#~~~~~ FIN BLOC A NE PAS SUPPRIMER ~~~~~



Bonjour à tous,
Utilisateurs de CMS MS depuis maintenant plusieurs années, je voulais me lancer dans le développement d'un site E-commerce pour voir ce que ça donne et quels sont les possibilités.

Malheureusement, je rencontre un soucis avec le module PaypalGateway 2.5.3.

Avant l'installation du module, voici à quoi ressemblent les pages de configuration E-commerce :

E-commerce - normal

Mais dès que j'installe le module PayPalGateway 2.5.3, voici ce qui se passe :

Ecommerce - erreur affichage

Et lorsque je souhaite configurer le module dans le panneau d'administration :

Ecommerce - Paypal Page introuvable

Le module essaye d'accéder à l'adresse suivante :

.../admin/moduleinterface.php?mact=PaypalGateway,m1_,defaultadmin,0&_sk_=f61bb68bc7285c2dff6


Dans le journal d'administration système, j'ai ce message d'erreur qui apparaît :

PaypalGateway    No Verification Data: Ne peut pas vérifier l'intégrité de PaypalGateway. Il n'y a aucune donnée de checksum


Ca fait quelques heures que j'essaye de comprendre le pourquoi du comment, mais j'avoue que je sèche.


Voici ce que j'ai essayé :
-> Réinstallation du module grâce au fichier XML (en me disant que les fichiers était peut être corrompus)
-> Downgrade de la version du module : Impossible
-> Recherche d'erreur dans les fichiers php du module : Rien trouvé de particulier (mais je suis loin d'être un expert en php)
-> Configuration des autres modules (orders, FEU ...) en me disant qu'il y avait un lien
-> Grosse recherche un peu partout sur les forums


Si quelqu'un à une piste, je suis preneur !

En vous remerciant par avance.

Dernière modification par SwBd (07/09/2017 12:37:19)

Hors ligne

 

#2 06/09/2017 18:49:20

jce76350
Administrateur
Lieu : Rouen
Inscription : 23/09/2007
Messages : 5 973
Site Web

Re : [Résolu] CMSMS 2.2.3.1 - E-commerce - Module PaypalGateway 2.5.3

-> Downgrade de la version du module : Impossible

essaie d’abord de désinstaller
sinon
si tu supprimes les fichiers du dossier module (attention PaypalGateway Dépend de : CGExtensions, CGPaymentGatewayBase) ET la ligne dans la base de données ( dans la Table: xxxx_modules) cela doit être (est) possible

nota sur http://dev.cmsmadesimple.org/bug/list/4 … by=id+DESC
il y a un paquet de bugs non corrigés


J-C Etiemble Tutoriels v 2.2.x

Hors ligne

#3 07/09/2017 12:36:58

SwBd
Petit nouveau
Inscription : 06/09/2017
Messages : 6

Re : [Résolu] CMSMS 2.2.3.1 - E-commerce - Module PaypalGateway 2.5.3

Bonjour,

En effet, en supprimant complétement le module (Fichier / BDD) j'ai pu le downgrader, mais la version 2.5.2 avait le même problème.

J'ai dû repasser sous la version 2.4 pour que ça fonctionne correctement.


Merci beaucoup pour cette réponse.

Hors ligne

#4 12/09/2017 16:50:49

jce76350
Administrateur
Lieu : Rouen
Inscription : 23/09/2007
Messages : 5 973
Site Web

Re : [Résolu] CMSMS 2.2.3.1 - E-commerce - Module PaypalGateway 2.5.3

Pour information une version 2.6 de paypalgateway est disponible depuis le 10/09/17


J-C Etiemble Tutoriels v 2.2.x

Hors ligne

#5 12/09/2017 17:00:07

SwBd
Petit nouveau
Inscription : 06/09/2017
Messages : 6

Re : [Résolu] CMSMS 2.2.3.1 - E-commerce - Module PaypalGateway 2.5.3

Bonjour,

oui j'ai vu, mais je ne peux pas l'installer, il manque la dépendance :
CGPaymentGatewayBase 1.6.2 que je ne trouve nul part pour le moment (seulement la 1.6.1).

Je testerai dès qu'il sera disponible.


Merci beaucoup pour l'information en tout cas

Hors ligne

#6 12/09/2017 20:52:26

jce76350
Administrateur
Lieu : Rouen
Inscription : 23/09/2007
Messages : 5 973
Site Web

Re : [Résolu] CMSMS 2.2.3.1 - E-commerce - Module PaypalGateway 2.5.3

>CGPaymentGatewayBase 1.6.2
passe un mail au développeur calguy il manque le fichier dans la forge lol
http://dev.cmsmadesimple.org/project/files/667


J-C Etiemble Tutoriels v 2.2.x

Hors ligne

Pied de page des forums

  Flux Rss Twitter FaceBook